property whichevent

on initGotoNextMarker me
  init(me)
end

on mouseUp me
  if whichevent = #mouseUp then
    init(me)
  end if
end

on prepareFrame me
  if whichevent = #prepareFrame then
    init(me)
  end if
end

on exitFrame me
  if whichevent = #exitFrame then
    init(me)
  end if
end

on init me
  go(marker(1))
end

on getPropertyDescriptionList
  set p_list to [#whichevent: [#comment: "Initializing Event:", #format: #symbol, #range: [#mouseUp, #prepareFrame, #exitFrame], #default: #mouseUp]]
  return p_list
end

on getBehaviorDescription
  return "Go to the Next Marker when the specified Event occurs.  Drag to Sprite or Frame script cell." && RETURN & "PARAMETERS:" && RETURN & "• Initializing Event - event that should initiate navigation."
end
