property rolloverColor, returnColor, puppetized

on mouseEnter me
  set returnColor to the foreColor of sprite the spriteNum of me
  set the foreColor of sprite the spriteNum of me to rolloverColor
  updateStage()
end

on mouseLeave me
  puppetSprite(the spriteNum of me, 0)
  updateStage()
end

on beginSprite me
  set rolloverColor to integer(rolloverColor)
  set puppetized to the puppet of sprite the spriteNum of me
end

on endSprite me
  puppetSprite(the spriteNum of me, 0)
end

on getPropertyDescriptionList
  set p_list to [#rolloverColor: [#comment: "rollOver Color:", #format: #integer, #default: EMPTY]]
  return p_list
end

on getBehaviorDescription
  return "Sets a rollOver forecolor for a sprite.  Setting the forecolor works best with shape  and bitmap objects." & RETURN & "PARAMETERS:" & RETURN & "• rollOver Color - The rollOver state color for the shape or bitmap."
end
