on openWindow
  if the windowType of the activeWindow <> 4 then
    set the windowType of the activeWindow to 4
    set the title of the activeWindow to the movieName
  end if
end

on closeWindow
  if count(the windowList) < 2 then
    clearGlobals()
  end if
  forget(the activeWindow)
end

on activateWindow
  continue()
end

on deactivateWindow
  pause()
end

on initStandardElements
  global gMaxChannels, gStreamShockButtonPropertyList
  set gMaxChannels to 48
  if not voidp(gStreamShockButtonPropertyList) then
    nothing()
  else
    BuildButtonPropertyList([])
    set gStreamShockButtonPropertyList to the result
  end if
end

on stopMovie
  sound stop 1
  sound stop 2
end

on idle
  doRollOverCheck()
end
